# InventorySlot

data class InventorySlot(row: Int, slotInRow: Int) : Comparable<InventorySlot>
Content copied to clipboard

## Types

Companion
Link copied to clipboard
object Companion
Content copied to clipboard

## Functions

add
Link copied to clipboard
fun add(offsetHorizontally: Int, offsetVertically: Int): InventorySlot
Content copied to clipboard
compareTo
Link copied to clipboard
open operator override fun compareTo(other: InventorySlot): Int
Content copied to clipboard
component1
Link copied to clipboard
operator fun component1(): Int
Content copied to clipboard
component2
Link copied to clipboard
operator fun component2(): Int
Content copied to clipboard
copy
Link copied to clipboard
fun copy(row: Int, slotInRow: Int): InventorySlot
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
isInDimension
Link copied to clipboard
fun isInDimension(inventoryDimensions: InventoryDimensions): Boolean
Content copied to clipboard
realSlotIn
Link copied to clipboard
fun realSlotIn(inventoryDimensions: InventoryDimensions): Int?
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

row
Link copied to clipboard
val row: Int
Content copied to clipboard
slotInRow
Link copied to clipboard
val slotInRow: Int
Content copied to clipboard